#!/bin/bash -e
#
# Upgrades all pacman packages to the latest version and reboots.
#
###############################################################################

set -o pipefail

###############################################################################

hash sudo
hash sync
hash pacman
hash reboot

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Updating Installed Packages...                                       -"
echo "------------------------------------------------------------------------"

sudo pacman -Syu --noconfirm
sync

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Rebooting...                                                         -"
echo "------------------------------------------------------------------------"

sudo reboot

###############################################################################
